# Config Grub/WarX-16 - slaxentry.cfg
# Copyright (C) 2018 WarX-16 <contact@warx-16.org>.
# https://www.warx-16.org
#
# Config Grub/WarX-16 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Config Grub/WarX-16 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Config Grub/WarX-16.  If not, see <https://www.gnu.org/licenses/>.
#
# Certain part of Config Grub/WarX-16 was inspired by Super Grub Disk
# ( Adrian Gibanel Lopez - Jordan Uggla - https://www.supergrubdisk.org/ )


#~ set part="${part}"
#~ set tscheme="${tscheme}"
#~ set fstype="${fstype}"
#~ set uuid="${uuid}"
#~ set os_name="${os_name}"
#~ set os_ico="${os_ico}"
#~ set iso="${iso}"

#~ set lang="$lang"

#~ set isopath="${isopath}"

#~ loopback loopdev "$iso"


if [ -f '/boot/vmlinuz' -a -f '/boot/initrd.gz' ]; then

	submenu --class="${os_ico}" "(${part}:${tscheme}:${fstype}) [Slax Linux: ${os_name}]" \
			"${part}" "${tscheme}" "${fstype}" "${uuid}" \
			"${os_name}" "${os_ico}" "${isopath}" {
	set part="$2"
	set tscheme="$3"
	set fstype="$4"
	set uuid="$5"
	set os_name="$6"
	set os_ico="$7"
	set isopath="$8"

	retour "${checkpoint}"

	menuentry --class="${os_ico}" "(${part}:${tscheme}:${fstype}) [Slax Linux: ${os_name}]" \
			"${part}" "${isopath}" {
	set device="$2"
	set isopath="$3"

	loopback loopdev_slax "(${device})${isopath}"
	set root=(loopdev_slax)
	linux /boot/vmlinuz from="${isopath}" ramdisk_size=6666 root=/dev/ram0 rw
	initrd /boot/initrd.gz
	loopback -d loopdev_slax
   }

   }

fi
